Index: doc/singular.idx
===================================================================
--- doc/singular.idx	(revision a719149f9dbe9f99164ada14b6234f2f7b085283)
+++ doc/singular.idx	(revision a070b84d59be835a2946d1386edd3221d80f3fe7)
@@ -1783,103 +1840,104 @@
 help browsers, html	The online help system	sing_16.htm#IDX23	
 help browsers, setting command to use	The online help system	sing_16.htm#IDX30	
-help browsers, setting the		sing_406.htm#IDX188	
+help browsers, setting the		sing_406.htm#IDX193	
 help, accessing over the net	Command line options	sing_19.htm#IDX42	
 help, online help system	The online help system	sing_16.htm#SEC22	
-hermiteNormalForm		sing_2389.htm#SEC2465	
-hess.lib		sing_2334.htm#SEC2410	
-hess_lib		sing_2334.htm#SEC2410	
-hessenberg		sing_406.htm#IDX210	
-hessenberg 		sing_1129.htm#SEC1205	
+hermiteNormalForm		sing_2392.htm#SEC2468	
+hess.lib		sing_2337.htm#SEC2413	
+hess_lib		sing_2337.htm#SEC2413	
+hessenberg		sing_406.htm#IDX216	
+hessenberg 		sing_1132.htm#SEC1208	
 highcorner		sing_309.htm#SEC349	
 hilb		sing_310.htm#SEC350	
-hilbPoly		sing_1008.htm#SEC1084	
-hilbert4ti2		sing_1368.htm#SEC1444	13993
-hilbertBasis		sing_2430.htm#SEC2506	
-hilbertSeries		sing_2391.htm#SEC2467	
-hilbvec		sing_1746.htm#SEC1822	
-hnexpansion		sing_1588.htm#SEC1664	
-hnoether.lib		sing_1587.htm#SEC1663	
-hnoether_lib		sing_1587.htm#SEC1663	
-holonomic rank		sing_815.htm#IDX368	
-holonomicRank		sing_819.htm#SEC871	
-hom_kernel		sing_1207.htm#SEC1283	
+hilbPoly		sing_1010.htm#SEC1086	
+hilbert4ti2		sing_1371.htm#SEC1447	13993
+hilbertBasis		sing_2435.htm#SEC2511	
+hilbertSeries		sing_2394.htm#SEC2470	
+hilbvec		sing_1749.htm#SEC1825	
+hnexpansion		sing_1591.htm#SEC1667	
+hnoether.lib		sing_1590.htm#SEC1666	
+hnoether_lib		sing_1590.htm#SEC1666	
+holonomic rank		sing_817.htm#IDX374	
+holonomicRank		sing_821.htm#SEC873	
+hom_kernel		sing_1210.htm#SEC1286	
 homog		sing_311.htm#SEC351	
-homogeneitySpace		sing_2414.htm#SEC2490	
-homogfacFirstQWeyl		sing_748.htm#SEC800	
-homogfacFirstQWeyl_all	homogfacFirstQWeyl_all	sing_750.htm#SEC802	
-homogfacNthQWeyl		sing_747.htm#SEC799	
-homogfacNthQWeyl_all	homogfacNthQWeyl_all	sing_749.htm#SEC801	
-homolog.lib		sing_1192.htm#SEC1268	
-homolog_lib		sing_1192.htm#SEC1268	
-homology		sing_1202.htm#SEC1278	
-howto, download	Download instructions	sing_2472.htm#SEC2561	
-howto, install on Macintosh	Macintosh installation instructions	sing_2475.htm#SEC2564	
-howto, install on Unix	Unix installation instructions	sing_2473.htm#SEC2562	
-howto, install on Windows	Windows installation instructions	sing_2474.htm#SEC2563	
+homogeneitySpace		sing_2419.htm#SEC2495	
+homogfacFirstQWeyl		sing_750.htm#SEC802	
+homogfacFirstQWeyl_all	homogfacFirstQWeyl_all	sing_752.htm#SEC804	
+homogfacNthQWeyl		sing_749.htm#SEC801	
+homogfacNthQWeyl_all	homogfacNthQWeyl_all	sing_751.htm#SEC803	
+homolog.lib		sing_1195.htm#SEC1271	
+homolog_lib		sing_1195.htm#SEC1271	
+homology		sing_1205.htm#SEC1281	
+howto, download	Download instructions	sing_2477.htm#SEC2566	
+howto, install on Macintosh	Macintosh installation instructions	sing_2480.htm#SEC2569	
+howto, install on Unix	Unix installation instructions	sing_2478.htm#SEC2567	
+howto, install on Windows	Windows installation instructions	sing_2479.htm#SEC2568	
 hres		sing_312.htm#SEC352	
 html, default help	The online help system	sing_16.htm#IDX24	
-hyperel.lib		sing_1974.htm#SEC2050	
-hyperel_lib		sing_1974.htm#SEC2050	
-hyperplane		sing_2126.htm#IDX770	
-hyperplane arrangement		sing_588.htm#IDX325	
-hypersurface singularity		sing_1614.htm#IDX694	
-iMult		sing_1280.htm#SEC1356	
-id2mod		sing_1004.htm#SEC1080	
+hyperel.lib		sing_1977.htm#SEC2053	
+hyperel_lib		sing_1977.htm#SEC2053	
+hyperplane		sing_2129.htm#IDX777	
+hyperplane arrangement		sing_589.htm#IDX331	
+hypersurface singularity		sing_1617.htm#IDX701	
+iMult		sing_1283.htm#SEC1359	
+id2mod		sing_1006.htm#SEC1082	
 ideal		sing_85.htm#SEC125	
 ideal declarations		sing_86.htm#SEC126	
-ideal declarations (plural)	ideal declarations (plural)	sing_472.htm#SEC512	
+ideal declarations (plural)	ideal declarations (plural)	sing_473.htm#SEC513	
 ideal expressions		sing_87.htm#SEC127	
-ideal expressions (plural)	ideal expressions (plural)	sing_473.htm#SEC513	
+ideal expressions (plural)	ideal expressions (plural)	sing_474.htm#SEC514	
 ideal operations		sing_88.htm#SEC128	
-ideal operations (plural)	ideal operations (plural)	sing_474.htm#SEC514	
+ideal operations (plural)	ideal operations (plural)	sing_475.htm#SEC515	
 ideal related functions	ideal related functions	sing_89.htm#SEC129	
-ideal related functions (plural)	ideal related functions (plural)	sing_475.htm#SEC515	
-ideal, toric		sing_906.htm#SEC963	
-idealSplit		sing_1753.htm#SEC1829	
-ideals	Miscellaneous oddities	sing_466.htm#IDX281	
-idealsimplify		sing_1515.htm#SEC1591	
+ideal related functions (plural)	ideal related functions (plural)	sing_476.htm#SEC516	
+ideal, toric		sing_908.htm#SEC965	
+idealSplit		sing_1756.htm#SEC1832	
+ideals	Miscellaneous oddities	sing_466.htm#IDX287	
+idealsimplify		sing_1518.htm#SEC1594	
 identifier	Identifier resolution	sing_467.htm#SEC507	
-identifyvar		sing_1423.htm#SEC1499	
+identifyvar		sing_1426.htm#SEC1502	
 if		sing_434.htm#SEC474	
-imageLattice		sing_2357.htm#SEC2433	
-image_of_variety		sing_1703.htm#SEC1779	
+imageLattice		sing_2360.htm#SEC2436	
+image_of_variety		sing_1706.htm#SEC1782	
 imap		sing_313.htm#SEC353	
-imap (plural)		sing_510.htm#SEC550	
-imapall		sing_1036.htm#SEC1112	
+imap (plural)		sing_511.htm#SEC551	
+imapall		sing_1038.htm#SEC1114	
 impart		sing_314.htm#SEC354	
 importfrom		sing_435.htm#SEC475	
-inCenter		sing_577.htm#SEC629	
-inCentralizer		sing_578.htm#SEC630	
-inForm		sing_620.htm#SEC672	
-inSubring		sing_1145.htm#SEC1221	
-indSet		sing_1252.htm#SEC1328	
+inCenter		sing_578.htm#SEC630	
+inCentralizer		sing_579.htm#SEC631	
+inForm		sing_621.htm#SEC673	
+inSubring		sing_1148.htm#SEC1224	
+indSet		sing_1255.htm#SEC1331	
 indepSet		sing_315.htm#SEC355	
 indexed names		sing_36.htm#IDX82	
 indexed names 		sing_37.htm#SEC65	
 inequalities		sing_205.htm#SEC245	
-infRedTail, option		sing_364.htm#IDX149	
+infRedTail, option		sing_364.htm#IDX154	
 info	The online help system	sing_16.htm#SEC23	
-iniD		sing_1443.htm#SEC1519	
-init_debug		sing_1522.htm#SEC1598	
-initial		sing_2413.htm#SEC2489	
-initial form		sing_553.htm#IDX306	
-initial ideal		sing_553.htm#IDX305	
-initial ideal approach		sing_553.htm#IDX309	
-initial ideal approach 		sing_644.htm#IDX348	
-initialForm		sing_2079.htm#SEC2155	
-initialIdeal		sing_2080.htm#SEC2156	
-initialIdealW		sing_619.htm#SEC671	
-initialMalgrange		sing_618.htm#SEC670	
-injective_knapsack		sing_1968.htm#SEC2044	
-inout.lib		sing_970.htm#SEC1046	
-inout_lib		sing_970.htm#SEC1046	
+iniD		sing_1446.htm#SEC1522	
+init_debug		sing_1525.htm#SEC1601	
+initial		sing_2418.htm#SEC2494	
+initial form		sing_554.htm#IDX312	
+initial ideal		sing_554.htm#IDX311	
+initial ideal approach		sing_554.htm#IDX315	
+initial ideal approach 		sing_645.htm#IDX354	
+initialForm		sing_2082.htm#SEC2158	
+initialIdeal		sing_2083.htm#SEC2159	
+initialIdealW		sing_620.htm#SEC672	
+initialMalgrange		sing_619.htm#SEC671	
+injective_knapsack		sing_1971.htm#SEC2047	
+inout.lib		sing_972.htm#SEC1048	
+inout_lib		sing_972.htm#SEC1048	
 input		sing_41.htm#SEC71	
-insert		sing_316.htm#SEC356	
+insert		sing_121.htm#SEC161	
+insert 		sing_316.htm#SEC356	
 insertCone		sing_229.htm#SEC269	
-insertGenerator		sing_639.htm#SEC691	
-instructions, Macintosh installation	Macintosh installation instructions	sing_2475.htm#SEC2564	
-instructions, Unix installation	Unix installation instructions	sing_2473.htm#SEC2562	
-instructions, Windows installation	Windows installation instructions	sing_2474.htm#SEC2563	
-instructions, downloading	Download instructions	sing_2472.htm#SEC2561	
+insertGenerator		sing_640.htm#SEC692	
+instructions, Macintosh installation	Macintosh installation instructions	sing_2480.htm#SEC2569	
+instructions, Unix installation	Unix installation instructions	sing_2478.htm#SEC2567	
+instructions, Windows installation	Windows installation instructions	sing_2479.htm#SEC2568	
+instructions, downloading	Download instructions	sing_2477.htm#SEC2566	
 int		sing_90.htm#SEC130	
 int declarations		sing_91.htm#SEC131	
@@ -1887,48 +1945,48 @@
 int operations		sing_93.htm#SEC133	
 int related functions	int related functions	sing_94.htm#SEC134	
-intInverse		sing_2366.htm#SEC2442	
-intPart		sing_1922.htm#SEC1998	
-intRank		sing_2358.htm#SEC2434	
-intRoot		sing_1923.htm#SEC1999	
-intRoots		sing_636.htm#SEC688	
-intStrategy, option		sing_364.htm#IDX150	
-intclMonIdeal		sing_1292.htm#SEC1368	22338
-intclToricRing		sing_1288.htm#SEC1364	62143
-integer division	Miscellaneous oddities	sing_466.htm#IDX276	
-integer programming		sing_914.htm#SEC971	
-integral basis		sing_1214.htm#IDX483	
-integral basis 		sing_1406.htm#IDX537	
-integral closure		sing_1273.htm#IDX496	
-integral closure 		sing_1274.htm#IDX499	
-integral closure  		sing_1275.htm#IDX502	
-integral closure   		sing_1287.htm#IDX506	
-integralBasis		sing_1214.htm#SEC1290	
-integralIdeal		sing_623.htm#SEC675	
-integralModule		sing_624.htm#SEC676	
-integralSection		sing_2367.htm#SEC2443	
-integralbasis.lib		sing_1213.htm#SEC1289	
-integralbasis_lib		sing_1213.htm#SEC1289	
-integration of D-module		sing_611.htm#IDX337	
+intInverse		sing_2369.htm#SEC2445	
+intPart		sing_1925.htm#SEC2001	
+intRank		sing_2361.htm#SEC2437	
+intRoot		sing_1926.htm#SEC2002	
+intRoots		sing_637.htm#SEC689	
+intStrategy, option		sing_364.htm#IDX155	
+intclMonIdeal		sing_1295.htm#SEC1371	22338
+intclToricRing		sing_1291.htm#SEC1367	62143
+integer division	Miscellaneous oddities	sing_466.htm#IDX282	
+integer programming		sing_916.htm#SEC973	
+integral basis		sing_1217.htm#IDX490	
+integral basis 		sing_1409.htm#IDX544	
+integral closure		sing_1276.htm#IDX503	
+integral closure 		sing_1277.htm#IDX506	
+integral closure  		sing_1278.htm#IDX509	
+integral closure   		sing_1290.htm#IDX513	
+integralBasis		sing_1217.htm#SEC1293	
+integralIdeal		sing_624.htm#SEC676	
+integralModule		sing_625.htm#SEC677	
+integralSection		sing_2370.htm#SEC2446	
+integralbasis.lib		sing_1216.htm#SEC1292	
+integralbasis_lib		sing_1216.htm#SEC1292	
+integration of D-module		sing_612.htm#IDX343	
 interface, Emacs	Emacs user interface	sing_21.htm#SEC28	
-interiorLatticePoints	interiorLatticePoints	sing_2433.htm#SEC2509	
-internalfunctions		sing_1523.htm#SEC1599	
-interpolate		sing_1759.htm#SEC1835	
+interiorLatticePoints	interiorLatticePoints	sing_2438.htm#SEC2514	
+internalfunctions		sing_1526.htm#SEC1602	
+interpolate		sing_1762.htm#SEC1838	
 interpolation		sing_317.htm#SEC357	
 interred		sing_318.htm#SEC358	
 intersect		sing_319.htm#SEC359	
-intersect (plural)		sing_511.htm#SEC551	
-intersectElim, option		sing_364.htm#IDX168	
-intersectLattices		sing_2363.htm#SEC2439	
-intersectMon		sing_1229.htm#SEC1305	
-intersectSyz, option		sing_364.htm#IDX169	
-intersectZ		sing_1348.htm#SEC1424	
-intersection		sing_1597.htm#SEC1673	
-intersection lattice		sing_2162.htm#IDX845	
-intersection lattice 		sing_2163.htm#IDX846	
-intersection multiplicity		sing_1508.htm#IDX572	
-intersection multiplicity 		sing_1597.htm#IDX687	
-intersectionDiv		sing_1471.htm#SEC1547	
-intersectionValRingIdeals	intersectionValRingIdeals	sing_1297.htm#SEC1373	38773
-intersectionValRings	intersectionValRings	sing_1296.htm#SEC1372	35761
+intersect (plural)		sing_512.htm#SEC552	
+intersectElim, option		sing_364.htm#IDX173	
+intersectLattices		sing_2366.htm#SEC2442	
+intersectMon		sing_1232.htm#SEC1308	
+intersectSyz, option		sing_364.htm#IDX174	
+intersectZ		sing_1351.htm#SEC1427	
+intersection		sing_1600.htm#SEC1676	
+intersection lattice		sing_2165.htm#IDX852	
+intersection lattice 		sing_2166.htm#IDX853	
+intersection multiplicity		sing_1511.htm#IDX579	
+intersection multiplicity 		sing_1600.htm#IDX694	
+intersectionDiv		sing_1474.htm#SEC1550	
+intersectionValRingIdeals	intersectionValRingIdeals	sing_1300.htm#SEC1376	38773
+intersectionValRings	intersectionValRings	sing_1299.htm#SEC1375	35761
 intmat		sing_97.htm#SEC137	
 intmat declarations		sing_98.htm#SEC138	
@@ -1937,7 +1995,7 @@
 intmat related functions	intmat related functions	sing_102.htm#SEC142	
 intmat type cast		sing_100.htm#SEC140	
-intmat2mons		sing_1312.htm#SEC1388	21150
-intprog.lib		sing_1215.htm#SEC1291	
-intprog_lib		sing_1215.htm#SEC1291	
+intmat2mons		sing_1315.htm#SEC1391	21150
+intprog.lib		sing_1218.htm#SEC1294	
+intprog_lib		sing_1218.htm#SEC1294	
 intvec		sing_103.htm#SEC143	
 intvec declarations		sing_104.htm#SEC144	
@@ -1945,227 +2003,228 @@
 intvec operations		sing_106.htm#SEC146	
 intvec related functions	intvec related functions	sing_107.htm#SEC147	
-invariant ring minimal generating set matrix group	invariant_algebra_reynolds	sing_1672.htm#IDX700	
-invariant ring minimal generating set permutation group	invariant_algebra_perm	sing_1673.htm#IDX701	
-invariantRing		sing_1705.htm#SEC1781	
-invariant_algebra_perm	invariant_algebra_perm	sing_1673.htm#SEC1749	
-invariant_algebra_reynolds	invariant_algebra_reynolds	sing_1672.htm#SEC1748	
-invariant_basis		sing_1680.htm#SEC1756	
-invariant_basis_reynolds	invariant_basis_reynolds	sing_1681.htm#SEC1757	
-invariant_ring		sing_1668.htm#SEC1744	
-invariant_ring_random	invariant_ring_random	sing_1669.htm#SEC1745	
-invariants		sing_1593.htm#SEC1669	
-inverse		sing_1113.htm#SEC1189	
+invariant ring minimal generating set matrix group	invariant_algebra_reynolds	sing_1675.htm#IDX707	
+invariant ring minimal generating set permutation group	invariant_algebra_perm	sing_1676.htm#IDX708	
+invariantRing		sing_1708.htm#SEC1784	
+invariant_algebra_perm	invariant_algebra_perm	sing_1676.htm#SEC1752	
+invariant_algebra_reynolds	invariant_algebra_reynolds	sing_1675.htm#SEC1751	
+invariant_basis		sing_1683.htm#SEC1759	
+invariant_basis_reynolds	invariant_basis_reynolds	sing_1684.htm#SEC1760	
+invariant_ring		sing_1671.htm#SEC1747	
+invariant_ring_random	invariant_ring_random	sing_1672.htm#SEC1748	
+invariants		sing_1596.htm#SEC1672	
+inverse		sing_1116.htm#SEC1192	
 inverse of a matrix via its LU-decomposition		sing_339.htm#SEC379	
-inverseFourier		sing_634.htm#SEC686	
-inverse_B		sing_1114.htm#SEC1190	
-inverse_L		sing_1115.htm#SEC1191	
-inverse_modulus		sing_1951.htm#SEC2027	
-invertBirMap		sing_1407.htm#SEC1483	
-invertNumberMain		sing_1783.htm#SEC1859	
-involut.lib		sing_698.htm#SEC750	
-involut_lib		sing_698.htm#SEC750	
-involution		sing_703.htm#SEC755	
-invunit		sing_1616.htm#SEC1692	
-iostruct		sing_1870.htm#SEC1946	
-irrRealizationDim		sing_2061.htm#SEC2137	
-irred_secondary_char0	irred_secondary_char0	sing_1694.htm#SEC1770	
-irred_secondary_no_molien	irred_secondary_no_molien	sing_1697.htm#SEC1773	
-irreddecMon		sing_1238.htm#SEC1314	
-irreducible power series		sing_1598.htm#IDX688	
-irreducible secondary invariant	irred_secondary_char0	sing_1694.htm#IDX702	
-isAface		sing_2295.htm#SEC2371	
-isAntiEndo		sing_705.htm#SEC757	
-isBounded		sing_2434.htm#SEC2510	
-isCI		sing_261.htm#IDX135	
-isCI 		sing_1163.htm#SEC1239	
-isCM		sing_261.htm#IDX136	
-isCM 		sing_1203.htm#SEC1279	
-isCMcod2		sing_1651.htm#SEC1727	
-isCanonical		sing_2435.htm#SEC2511	
-isCartan		sing_579.htm#SEC631	
-isCentral		sing_775.htm#SEC827	
-isCommutative		sing_777.htm#SEC829	
+inverseFourier		sing_635.htm#SEC687	
+inverse_B		sing_1117.htm#SEC1193	
+inverse_L		sing_1118.htm#SEC1194	
+inverse_modulus		sing_1954.htm#SEC2030	
+invertBirMap		sing_1410.htm#SEC1486	
+invertNumberMain		sing_1786.htm#SEC1862	
+involut.lib		sing_699.htm#SEC751	
+involut_lib		sing_699.htm#SEC751	
+involution		sing_704.htm#SEC756	
+invunit		sing_1619.htm#SEC1695	
+iostruct		sing_1873.htm#SEC1949	
+irrRealizationDim		sing_2064.htm#SEC2140	
+irred_secondary_char0	irred_secondary_char0	sing_1697.htm#SEC1773	
+irred_secondary_no_molien	irred_secondary_no_molien	sing_1700.htm#SEC1776	
+irreddecMon		sing_1241.htm#SEC1317	
+irreducible power series		sing_1601.htm#IDX695	
+irreducible secondary invariant	irred_secondary_char0	sing_1697.htm#IDX709	
+isAface		sing_2298.htm#SEC2374	
+isAntiEndo		sing_706.htm#SEC758	
+isBounded		sing_2439.htm#SEC2515	
+isCI		sing_261.htm#IDX139	
+isCI 		sing_1166.htm#SEC1242	
+isCM		sing_261.htm#IDX140	
+isCM 		sing_1206.htm#SEC1282	
+isCMcod2		sing_1654.htm#SEC1730	
+isCanonical		sing_2440.htm#SEC2516	
+isCartan		sing_580.htm#SEC632	
+isCentral		sing_777.htm#SEC829	
+isCommutative		sing_779.htm#SEC831	
 isCompatible		sing_230.htm#SEC270	
-isCompressed		sing_2436.htm#SEC2512	
-isEqualDivisor		sing_2239.htm#SEC2315	
-isEquising		sing_1560.htm#SEC1636	
-isFlat		sing_1204.htm#SEC1280	
-isFsat		sing_629.htm#SEC681	
+isCompressed		sing_2441.htm#SEC2517	
+isEqualDivisor		sing_2242.htm#SEC2318	
+isEquising		sing_1563.htm#SEC1639	
+isFlat		sing_1207.htm#SEC1283	
+isFsat		sing_630.htm#SEC682	
 isFullSpace		sing_206.htm#SEC246	
-isGorenstein		sing_2437.htm#SEC2513	
-isGradedRingHomomorphism	isGradedRingHomomorphism	sing_2352.htm#SEC2428	
-isGroup		sing_2350.htm#SEC2426	
-isGroupHomomorphism		sing_2351.htm#SEC2427	
-isHolonomic		sing_607.htm#SEC659	
-isHomg		sing_261.htm#IDX132	
-isHomogeneous		sing_2378.htm#SEC2454	
-isInt		sing_642.htm#SEC694	
-isIntegralSurjective	isIntegralSurjective	sing_2364.htm#SEC2440	
-isInvolution		sing_704.htm#SEC756	
-isLatticeEmpty		sing_2438.htm#SEC2514	
-isLocalizationRegular	isLocalizationRegular	sing_2287.htm#SEC2363	
-isLocallyFree		sing_1205.htm#SEC1281	
-isMonomial		sing_1224.htm#SEC1300	
-isNC		sing_776.htm#SEC828	
-isNormal		sing_2439.htm#SEC2515	
-isOnCurve		sing_1935.htm#SEC2011	
+isGorenstein		sing_2442.htm#SEC2518	
+isGradedRingHomomorphism	isGradedRingHomomorphism	sing_2355.htm#SEC2431	
+isGroup		sing_2353.htm#SEC2429	
+isGroupHomomorphism		sing_2354.htm#SEC2430	
+isHolonomic		sing_608.htm#SEC660	
+isHomg		sing_261.htm#IDX135	
+isHomogeneous		sing_2381.htm#SEC2457	
+isInt		sing_643.htm#SEC695	
+isIntegralSurjective	isIntegralSurjective	sing_2367.htm#SEC2443	
+isInvolution		sing_705.htm#SEC757	
+isLatticeEmpty		sing_2443.htm#SEC2519	
+isLocalizationRegular	isLocalizationRegular	sing_2290.htm#SEC2366	
+isLocallyFree		sing_1208.htm#SEC1284	
+isMonomial		sing_1227.htm#SEC1303	
+isNC		sing_778.htm#SEC830	
+isNormal		sing_2444.htm#SEC2520	
+isOnCurve		sing_1938.htm#SEC2014	
 isOrigin		sing_207.htm#SEC247	
-isPositive		sing_2375.htm#SEC2451	
-isPrimitiveSublattice	isPrimitiveSublattice	sing_2365.htm#SEC2441	
+isPositive		sing_2378.htm#SEC2454	
+isPrimitiveSublattice	isPrimitiveSublattice	sing_2368.htm#SEC2444	
 isPure		sing_231.htm#SEC271	
-isPureTensor		sing_551.htm#SEC603	
-isQuotientRing		sing_1050.htm#SEC1126	
-isRational		sing_610.htm#SEC662	
-isReflexive		sing_2440.htm#SEC2516	
-isReg		sing_1206.htm#SEC1282	
-isSB		sing_261.htm#IDX131	
+isPureTensor		sing_552.htm#SEC604	
+isQuotientRing		sing_1053.htm#SEC1129	
+isRational		sing_611.htm#SEC663	
+isReflexive		sing_2445.htm#SEC2521	
+isReg		sing_1209.htm#SEC1285	
+isSB		sing_261.htm#IDX134	
 isSimplicial		sing_208.htm#SEC248	
-isSmooth		sing_2441.htm#SEC2517	
-isSubModule		sing_1051.htm#SEC1127	
-isSublattice		sing_2356.htm#SEC2432	
-isSymmetric		sing_1372.htm#SEC1448	
-isTame		sing_1585.htm#SEC1661	
-isTerminal		sing_2442.htm#SEC2518	
-isTorsionFree		sing_2374.htm#SEC2450	
-isTwoSidedGB		sing_552.htm#SEC604	
-isUpperTriangular		sing_756.htm#SEC808	
-isVar		sing_696.htm#SEC748	
-isVeryAmple		sing_2443.htm#SEC2519	
-isWeyl		sing_778.htm#SEC830	
-isZeroElement		sing_2376.htm#SEC2452	
-is_NND		sing_1601.htm#SEC1677	
-is_NP		sing_1261.htm#SEC1337	
-is_active		sing_1634.htm#SEC1710	
-is_bijective		sing_1150.htm#SEC1226	
-is_cenBimodule		sing_811.htm#SEC863	
-is_cenSubbimodule		sing_812.htm#SEC864	
-is_ci		sing_1635.htm#SEC1711	
-is_complex		sing_1086.htm#SEC1162	
-is_fix_injective		sing_1972.htm#SEC2048	
-is_h_injective		sing_1971.htm#SEC2047	
-is_injective		sing_1148.htm#SEC1224	
-is_irred		sing_1598.htm#SEC1674	
-is_is		sing_1636.htm#SEC1712	
-is_nested		sing_1262.htm#SEC1338	
-is_prime		sing_1952.htm#SEC2028	
-is_primitive_root		sing_1948.htm#SEC2024	
-is_pure		sing_803.htm#SEC855	
-is_reg		sing_1637.htm#SEC1713	
-is_regs		sing_1638.htm#SEC1714	
-is_surjective		sing_1149.htm#SEC1225	
-is_zero		sing_993.htm#SEC1069	
-isartinianMon		sing_1235.htm#SEC1311	
-isgenericMon		sing_1236.htm#SEC1312	
-ishyper		sing_1975.htm#SEC2051	
-isirreducibleMon		sing_1234.htm#SEC1310	
-isoncurve		sing_1976.htm#SEC2052	
-isparam		sing_2039.htm#SEC2115	
-isprimaryMon		sing_1233.htm#SEC1309	
-isprimeMon		sing_1232.htm#SEC1308	
-isuni		sing_2024.htm#SEC2100	
-iv2lp		sing_674.htm#SEC726	
-iv2lpList		sing_675.htm#SEC727	
-iv2lpMat		sing_676.htm#SEC728	
-ivDHilbert		sing_650.htm#SEC702	
-ivDHilbertSickle		sing_651.htm#SEC703	
-ivDimCheck		sing_652.htm#SEC704	
-ivHilbert		sing_653.htm#SEC705	
-ivKDim		sing_654.htm#SEC706	
-ivL2lpI		sing_673.htm#SEC725	
-ivMis2Base		sing_655.htm#SEC707	
-ivMis2Dim		sing_656.htm#SEC708	
-ivOrdMisLex		sing_657.htm#SEC709	
-ivSickle		sing_658.htm#SEC710	
-ivSickleDim		sing_660.htm#SEC712	
-ivSickleHil		sing_659.htm#SEC711	
-jInvariant		sing_2073.htm#SEC2149	
-jOft		sing_1907.htm#SEC1983	
+isSmooth		sing_2446.htm#SEC2522	
+isSubModule		sing_1054.htm#SEC1130	
+isSublattice		sing_2359.htm#SEC2435	
+isSymmetric		sing_1375.htm#SEC1451	
+isTame		sing_1588.htm#SEC1664	
+isTerminal		sing_2447.htm#SEC2523	
+isTorsionFree		sing_2377.htm#SEC2453	
+isTwoSidedGB		sing_553.htm#SEC605	
+isUpperTriangular		sing_758.htm#SEC810	
+isVar		sing_697.htm#SEC749	
+isVeryAmple		sing_2448.htm#SEC2524	
+isWeyl		sing_780.htm#SEC832	
+isZeroElement		sing_2379.htm#SEC2455	
+is_NND		sing_1604.htm#SEC1680	
+is_NP		sing_1264.htm#SEC1340	
+is_active		sing_1637.htm#SEC1713	
+is_bijective		sing_1153.htm#SEC1229	
+is_cenBimodule		sing_813.htm#SEC865	
+is_cenSubbimodule		sing_814.htm#SEC866	
+is_ci		sing_1638.htm#SEC1714	
+is_complex		sing_1089.htm#SEC1165	
+is_fix_injective		sing_1975.htm#SEC2051	
+is_h_injective		sing_1974.htm#SEC2050	
+is_injective		sing_1151.htm#SEC1227	
+is_irred		sing_1601.htm#SEC1677	
+is_is		sing_1639.htm#SEC1715	
+is_nested		sing_1265.htm#SEC1341	
+is_prime		sing_1955.htm#SEC2031	
+is_primitive_root		sing_1951.htm#SEC2027	
+is_pure		sing_805.htm#SEC857	
+is_reg		sing_1640.htm#SEC1716	
+is_regs		sing_1641.htm#SEC1717	
+is_surjective		sing_1152.htm#SEC1228	
+is_zero		sing_995.htm#SEC1071	
+isartinianMon		sing_1238.htm#SEC1314	
+isgenericMon		sing_1239.htm#SEC1315	
+ishyper		sing_1978.htm#SEC2054	
+isirreducibleMon		sing_1237.htm#SEC1313	
+isoncurve		sing_1979.htm#SEC2055	
+isparam		sing_2042.htm#SEC2118	
+isprimaryMon		sing_1236.htm#SEC1312	
+isprimeMon		sing_1235.htm#SEC1311	
+isuni		sing_2027.htm#SEC2103	
+iv2lp		sing_675.htm#SEC727	
+iv2lpList		sing_676.htm#SEC728	
+iv2lpMat		sing_677.htm#SEC729	
+ivDHilbert		sing_651.htm#SEC703	
+ivDHilbertSickle		sing_652.htm#SEC704	
+ivDimCheck		sing_653.htm#SEC705	
+ivHilbert		sing_654.htm#SEC706	
+ivKDim		sing_655.htm#SEC707	
+ivL2lpI		sing_674.htm#SEC726	
+ivMis2Base		sing_656.htm#SEC708	
+ivMis2Dim		sing_657.htm#SEC709	
+ivOrdMisLex		sing_658.htm#SEC710	
+ivSickle		sing_659.htm#SEC711	
+ivSickleDim		sing_661.htm#SEC713	
+ivSickleHil		sing_660.htm#SEC712	
+jInvariant		sing_2076.htm#SEC2152	
+jOft		sing_1910.htm#SEC1986	
 jacob		sing_320.htm#SEC360	
-jacoblift		sing_1617.htm#SEC1693	
-jacobson		sing_1876.htm#SEC1952	
-jacobson.lib		sing_1874.htm#SEC1950	
-jacobson_lib		sing_1874.htm#SEC1950	
+jacoblift		sing_1620.htm#SEC1696	
+jacobson		sing_1879.htm#SEC1955	
+jacobson.lib		sing_1877.htm#SEC1953	
+jacobson_lib		sing_1877.htm#SEC1953	
 janet		sing_321.htm#SEC361	
 jet		sing_322.htm#SEC362	
-jordan		sing_1134.htm#SEC1210	
-jordanbasis		sing_1135.htm#SEC1211	
-jordanmatrix		sing_1136.htm#SEC1212	
-jordannf		sing_1137.htm#SEC1213	
-jungfib		sing_1456.htm#SEC1532	
-jungnormal		sing_1455.htm#SEC1531	
-jungresolve		sing_1454.htm#SEC1530	
-katsura		sing_991.htm#SEC1067	
+jordan		sing_1137.htm#SEC1213	
+jordanbasis		sing_1138.htm#SEC1214	
+jordanmatrix		sing_1139.htm#SEC1215	
+jordannf		sing_1140.htm#SEC1216	
+jungfib		sing_1459.htm#SEC1535	
+jungnormal		sing_1458.htm#SEC1534	
+jungresolve		sing_1457.htm#SEC1533	
+katsura		sing_993.htm#SEC1069	
 kbase		sing_323.htm#SEC363	
-kbase (plural)		sing_512.htm#SEC552	
+kbase (plural)		sing_513.htm#SEC553	
 keepring		sing_436.htm#SEC476	
 kernel		sing_324.htm#SEC364	
-kernelLattice		sing_2359.htm#SEC2435	
+kernelLattice		sing_2362.htm#SEC2438	
 kill		sing_325.htm#SEC365	
-killTask		sing_1065.htm#SEC1141	
-killall		sing_943.htm#SEC1019	
+killTask		sing_1068.htm#SEC1144	
+killall		sing_945.htm#SEC1021	
 killattrib		sing_326.htm#SEC366	
-kmemory		sing_942.htm#SEC1018	
-kohom		sing_1208.htm#SEC1284	
-kontrahom		sing_1209.htm#SEC1285	
+kmemory		sing_944.htm#SEC1020	
+kohom		sing_1211.htm#SEC1287	
+kontrahom		sing_1212.htm#SEC1288	
 koszul		sing_327.htm#SEC367	
-kskernel.lib		sing_1608.htm#SEC1684	
-kskernel_lib		sing_1608.htm#SEC1684	
+kskernel.lib		sing_1611.htm#SEC1687	
+kskernel_lib		sing_1611.htm#SEC1687	
 l-adic numbers		sing_32.htm#SEC46	
 laguerre		sing_328.htm#SEC368	
-laguerre_solve		sing_1755.htm#SEC1831	
-lastvarGeneral		sing_2005.htm#SEC2081	
-latex.lib		sing_1799.htm#SEC1875	
-latex_lib		sing_1799.htm#SEC1875	
-lattice		sing_2163.htm#IDX848	
-latticeArea		sing_2055.htm#SEC2131	
-latticeBasis		sing_2360.htm#SEC2436	
-latticeCodegree		sing_2444.htm#SEC2520	
-latticeDegree		sing_2445.htm#SEC2521	
-latticePoints		sing_2446.htm#SEC2522	
-latticeVolume		sing_2447.htm#SEC2523	
-laxfrT		sing_2263.htm#SEC2339	
-laxfrX		sing_2264.htm#SEC2340	
-lazy, option		sing_364.htm#IDX151	
-lcm		sing_994.htm#SEC1070	
-lcmMon		sing_1227.htm#SEC1303	
-lcmN		sing_1916.htm#SEC1992	
-lcmofall		sing_1436.htm#SEC1512	
+laguerre_solve		sing_1758.htm#SEC1834	
+lastvarGeneral		sing_2008.htm#SEC2084	
+latex.lib		sing_1802.htm#SEC1878	
+latex_lib		sing_1802.htm#SEC1878	
+lattice		sing_2166.htm#IDX855	
+latticeArea		sing_2058.htm#SEC2134	
+latticeBasis		sing_2363.htm#SEC2439	
+latticeCodegree		sing_2449.htm#SEC2525	
+latticeDegree		sing_2450.htm#SEC2526	
+latticePoints		sing_2451.htm#SEC2527	
+latticeVolume		sing_2452.htm#SEC2528	
+laxfrT		sing_2266.htm#SEC2342	
+laxfrX		sing_2267.htm#SEC2343	
+lazy, option		sing_364.htm#IDX156	
+lcm		sing_996.htm#SEC1072	
+lcmMon		sing_1230.htm#SEC1306	
+lcmN		sing_1919.htm#SEC1995	
+lcmofall		sing_1439.htm#SEC1515	
 lead		sing_329.htm#SEC369	
 leadcoef		sing_330.htm#SEC370	
 leadexp		sing_331.htm#SEC371	
 leadmonom		sing_332.htm#SEC372	
-leadmonomial		sing_1991.htm#SEC2067	
-left annihilator ideal		sing_588.htm#IDX317	
-leftInverse		sing_1865.htm#SEC1941	
-leftKernel		sing_1863.htm#SEC1939	
-length, option		sing_364.htm#IDX152	
-letplaceGBasis		sing_682.htm#SEC734	
-letterplace correspondence	Letterplace correspondence	sing_542.htm#SEC594	
-lex_solve		sing_1761.htm#SEC1837	
-lexicographical ordering		sing_893.htm#IDX378	
+leadmonomial		sing_1994.htm#SEC2070	
+left annihilator ideal		sing_589.htm#IDX323	
+leftInverse		sing_1868.htm#SEC1944	
+leftKernel		sing_1866.htm#SEC1942	
+length, option		sing_364.htm#IDX157	
+letplaceGBasis		sing_683.htm#SEC735	
+letterplace correspondence	Letterplace correspondence	sing_543.htm#SEC595	
+lex_solve		sing_1764.htm#SEC1840	
+lexicographical ordering		sing_895.htm#IDX384	
 lib2doc		sing_60.htm#SEC97	
+libSingular		sing_468.htm#SEC508	
 libcdd		sing_1.htm#IDX12	
 libfac		sing_1.htm#IDX6	
 libparse		sing_69.htm#SEC109	
-library		sing_2105.htm#IDX748	
-library 		sing_2290.htm#IDX875	
+library		sing_2108.htm#IDX755	
+library 		sing_2293.htm#IDX882	
 library, info string		sing_55.htm#IDX124	
-library, polybori.lib		sing_2105.htm#IDX745	
+library, polybori.lib		sing_2108.htm#IDX752	
 library, template		sing_55.htm#SEC92	
 library, template.lib		sing_55.htm#IDX122	
-lieBracket		sing_693.htm#SEC745	
+lieBracket		sing_694.htm#SEC746	
 lift		sing_334.htm#SEC374	
-lift 		sing_546.htm#IDX293	
-lift (plural)		sing_513.htm#SEC553	
-lift_kbase		sing_1554.htm#SEC1630	
-lift_rel_kb		sing_1555.htm#SEC1631	
-liftenvelope		sing_549.htm#SEC601	
+lift 		sing_547.htm#IDX299	
+lift (plural)		sing_514.htm#SEC554	
+lift_kbase		sing_1557.htm#SEC1633	
+lift_rel_kb		sing_1558.htm#SEC1634	
+liftenvelope		sing_550.htm#SEC602	
 liftstd		sing_335.htm#SEC375	
-liftstd (plural)		sing_514.htm#SEC554	
-linReduce		sing_561.htm#SEC613	
-linReduceIdeal		sing_562.htm#SEC614	
-linSyzSolve		sing_563.htm#SEC615	
-linalg.lib		sing_1112.htm#SEC1188	
-linalg_lib		sing_1112.htm#SEC1188	
+liftstd (plural)		sing_515.htm#SEC555	
+linReduce		sing_562.htm#SEC614	
+linReduceIdeal		sing_563.htm#SEC615	
+linSyzSolve		sing_564.htm#SEC616	
+linalg.lib		sing_1115.htm#SEC1191	
+linalg_lib		sing_1115.htm#SEC1191	
 linealityDimension		sing_209.htm#SEC249	
 linealitySpace		sing_210.htm#SEC250	
@@ -2174,14 +2233,14 @@
 linear algebra  		sing_339.htm#SEC379	
 linear algebra   		sing_340.htm#SEC380	
-linear code, dual		sing_1834.htm#IDX713	
-linear code, systematic		sing_1835.htm#IDX714	
-linear interreduction		sing_553.htm#IDX308	
-linearCombinations		sing_582.htm#SEC634	
-linearMapKernel		sing_581.htm#SEC633	
-linear_relations		sing_1104.htm#SEC1180	
-linearlyEquivalent		sing_2242.htm#SEC2318	
-linearpart		sing_1747.htm#SEC1823	
+linear code, dual		sing_1837.htm#IDX720	
+linear code, systematic		sing_1838.htm#IDX721	
+linear interreduction		sing_554.htm#IDX314	
+linearCombinations		sing_583.htm#SEC635	
+linearMapKernel		sing_582.htm#SEC634	
+linear_relations		sing_1107.htm#SEC1183	
+linearlyEquivalent		sing_2245.htm#SEC2321	
+linearpart		sing_1750.htm#SEC1826	
 link	Parallelization with ssi links	sing_108.htm#SEC148	
-link 		sing_850.htm#SEC902	
+link 		sing_852.htm#SEC904	
 link declarations		sing_109.htm#SEC149	
 link expressions		sing_110.htm#SEC150	
